summaryrefslogtreecommitdiffstats
path: root/src/google/protobuf/compiler/zip_output_unittest.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/google/protobuf/compiler/zip_output_unittest.sh')
-rwxr-xr-xsrc/google/protobuf/compiler/zip_output_unittest.sh38
1 files changed, 16 insertions, 22 deletions
diff --git a/src/google/protobuf/compiler/zip_output_unittest.sh b/src/google/protobuf/compiler/zip_output_unittest.sh
index 6fc7136..259d5d2 100755
--- a/src/google/protobuf/compiler/zip_output_unittest.sh
+++ b/src/google/protobuf/compiler/zip_output_unittest.sh
@@ -2,7 +2,7 @@
#
# Protocol Buffers - Google's data interchange format
# Copyright 2009 Google Inc. All rights reserved.
-# https://developers.google.com/protocol-buffers/
+# http://code.google.com/p/protobuf/
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
@@ -39,51 +39,45 @@ fail() {
exit 1
}
-TEST_TMPDIR=.
-PROTOC=./protoc
-
echo '
- syntax = "proto2";
option java_multiple_files = true;
option java_package = "test.jar";
option java_outer_classname = "Outer";
message Foo {}
message Bar {}
-' > $TEST_TMPDIR/testzip.proto
+' > testzip.proto
-$PROTOC \
- --cpp_out=$TEST_TMPDIR/testzip.zip --python_out=$TEST_TMPDIR/testzip.zip \
- --java_out=$TEST_TMPDIR/testzip.jar -I$TEST_TMPDIR testzip.proto \
- || fail 'protoc failed.'
+./protoc --cpp_out=testzip.zip --python_out=testzip.zip --java_out=testzip.jar \
+ testzip.proto || fail 'protoc failed.'
echo "Testing output to zip..."
if unzip -h > /dev/null; then
- unzip -t $TEST_TMPDIR/testzip.zip > $TEST_TMPDIR/testzip.list || fail 'unzip failed.'
+ unzip -t testzip.zip > testzip.list || fail 'unzip failed.'
- grep 'testing: testzip\.pb\.cc *OK$' $TEST_TMPDIR/testzip.list > /dev/null \
+ grep 'testing: testzip\.pb\.cc *OK$' testzip.list > /dev/null \
|| fail 'testzip.pb.cc not found in output zip.'
- grep 'testing: testzip\.pb\.h *OK$' $TEST_TMPDIR/testzip.list > /dev/null \
+ grep 'testing: testzip\.pb\.h *OK$' testzip.list > /dev/null \
|| fail 'testzip.pb.h not found in output zip.'
- grep 'testing: testzip_pb2\.py *OK$' $TEST_TMPDIR/testzip.list > /dev/null \
+ grep 'testing: testzip_pb2\.py *OK$' testzip.list > /dev/null \
|| fail 'testzip_pb2.py not found in output zip.'
- grep -i 'manifest' $TEST_TMPDIR/testzip.list > /dev/null \
+ grep -i 'manifest' testzip.list > /dev/null \
&& fail 'Zip file contained manifest.'
else
echo "Warning: 'unzip' command not available. Skipping test."
fi
echo "Testing output to jar..."
-if jar c $TEST_TMPDIR/testzip.proto > /dev/null; then
- jar tf $TEST_TMPDIR/testzip.jar > $TEST_TMPDIR/testzip.list || fail 'jar failed.'
+if jar c testzip.proto > /dev/null; then
+ jar tf testzip.jar > testzip.list || fail 'jar failed.'
- grep '^test/jar/Foo\.java$' $TEST_TMPDIR/testzip.list > /dev/null \
+ grep '^test/jar/Foo\.java$' testzip.list > /dev/null \
|| fail 'Foo.java not found in output jar.'
- grep '^test/jar/Bar\.java$' $TEST_TMPDIR/testzip.list > /dev/null \
+ grep '^test/jar/Bar\.java$' testzip.list > /dev/null \
|| fail 'Bar.java not found in output jar.'
- grep '^test/jar/Outer\.java$' $TEST_TMPDIR/testzip.list > /dev/null \
+ grep '^test/jar/Outer\.java$' testzip.list > /dev/null \
|| fail 'Outer.java not found in output jar.'
- grep '^META-INF/MANIFEST\.MF$' $TEST_TMPDIR/testzip.list > /dev/null \
- || fail 'Manifest not found in output jar.'
+ grep '^META-INF/MANIFEST\.MF$' testzip.list > /dev/null \
+ || fail 'Manifest not ofund in output jar.'
else
echo "Warning: 'jar' command not available. Skipping test."
fi